aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-django/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-08 18:04:16 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:24 +0000
commit3fdf636dde1ae363fd18ebc16f76764dbc285a28 (patch)
tree0f02b2dbb1768dfc29e533b4a131aa57ac8c5eb8 /testing/py-django/APKBUILD
parent3fcf663d142131f90cb322a2ca894a2cb098e56b (diff)
downloadaports-3fdf636dde1ae363fd18ebc16f76764dbc285a28.tar.gz
aports-3fdf636dde1ae363fd18ebc16f76764dbc285a28.tar.bz2
aports-3fdf636dde1ae363fd18ebc16f76764dbc285a28.tar.xz
testing/py-django: upgrade to 1.5
Diffstat (limited to 'testing/py-django/APKBUILD')
-rw-r--r--testing/py-django/APKBUILD20
1 files changed, 11 insertions, 9 deletions
diff --git a/testing/py-django/APKBUILD b/testing/py-django/APKBUILD
index acdc18d265..e6c63ddeb4 100644
--- a/testing/py-django/APKBUILD
+++ b/testing/py-django/APKBUILD
@@ -2,15 +2,15 @@
# Maintainer:
pkgname=py-django
_pkgname=Django
-pkgver=1.4.1
+pkgver=1.5
pkgrel=0
-pkgdesc="A high-level Python Web framework that encourages rapid development and clean, pragmatic design."
+pkgdesc="A high-level Python Web framework"
url="http://djangoproject.com/"
arch="noarch"
-license="bsd"
-depends=python
-depends_dev=python-dev
-makedepends="$depends_dev"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
install=""
subpackages=""
source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
@@ -18,12 +18,14 @@ source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgna
_builddir="$srcdir"/$_pkgname-$pkgver
build() {
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir"
+ python setup.py install --root "$pkgdir" || return 1
}
-md5sums="e345268dacff12876ae4e45de0a61b7d Django-1.4.1.tar.gz"
+md5sums="fac09e1e0f11bb83bb187d652a9be967 Django-1.5.tar.gz"
+sha256sums="078bf8f8ab025ed79e41ed5cee145a64dffea638eb5c2928c8cd106720824416 Django-1.5.tar.gz"
+sha512sums="be2150b9c654bd4995af9acee70b49cefc18bd70f57dd1761e270202726374f2e4b0b6722bc39e03da110702ad2281bc098dc1ac89fa4c61849d882bf8f18786 Django-1.5.tar.gz"